Bug 193213 - [NEW PORT] games/pioneer: Space adventure game set in the Milky Way galaxy
Summary: [NEW PORT] games/pioneer: Space adventure game set in the Milky Way galaxy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-01 01:28 UTC by lightside
Modified: 2014-10-29 04:40 UTC (History)
2 users (show)

See Also:


Attachments
The port in shar format (6.33 KB, text/plain)
2014-09-01 01:28 UTC, lightside
no flags Details
The port in shar format (6.33 KB, text/plain)
2014-09-03 05:58 UTC, lightside
no flags Details
The poudriere build log (FreeBSD 10 amd64) in zip format (16.89 KB, application/x-zip-compressed)
2014-09-03 06:00 UTC, lightside
no flags Details
The port in shar format (6.40 KB, text/plain)
2014-09-03 08:20 UTC, lightside
no flags Details
The poudriere build log (FreeBSD 10 amd64) (16.92 KB, application/x-zip-compressed)
2014-09-03 08:21 UTC, lightside
no flags Details
The port in shar format (6.40 KB, text/plain)
2014-09-06 17:40 UTC, lightside
no flags Details
The port in shar format (20140907) (6.40 KB, text/plain)
2014-09-06 19:03 UTC, lightside
no flags Details
The port in shar format (20140907) (6.41 KB, text/plain)
2014-09-07 07:30 UTC, lightside
no flags Details
The port in shar format (20140908) (7.27 KB, text/plain)
2014-09-09 09:26 UTC, lightside
no flags Details
The poudriere build log (FreeBSD 10 amd64) (17.20 KB, application/x-zip-compressed)
2014-09-09 09:27 UTC, lightside
no flags Details
The port in shar format (20140910) (7.48 KB, text/plain)
2014-09-10 11:03 UTC, lightside
no flags Details
The poudriere build log (FreeBSD 10 amd64) (17.17 KB, application/x-zip-compressed)
2014-09-10 11:04 UTC, lightside
no flags Details
Proposed changes (4.26 KB, patch)
2014-09-12 16:37 UTC, Dmitry Marakasov
no flags Details | Diff
The port in shar format (20140912) (7.42 KB, text/plain)
2014-09-13 09:06 UTC, lightside
no flags Details
The poudriere build log (FreeBSD 10 amd64) (29.16 KB, application/x-zip-compressed)
2014-09-13 09:07 UTC, lightside
no flags Details
The port in shar format (20140912) (7.42 KB, text/plain)
2014-09-13 19:01 UTC, lightside
no flags Details
The port in shar format (20140915) (7.47 KB, text/plain)
2014-09-15 15:02 UTC, lightside
no flags Details
The poudriere build log (FreeBSD 10 amd64) (28.93 KB, application/x-zip-compressed)
2014-09-15 15:03 UTC, lightside
no flags Details
The port in shar format (20140916) (7.47 KB, text/plain)
2014-09-17 13:21 UTC, lightside
no flags Details
The poudriere build log (FreeBSD 10 amd64) (28.90 KB, application/x-zip-compressed)
2014-09-17 13:21 UTC, lightside
no flags Details
The port in shar format (20141011) (7.29 KB, text/plain)
2014-10-20 03:39 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 8.4 amd64) (19.75 KB, application/x-zip-compressed)
2014-10-20 03:40 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 9.3 amd64) (19.73 KB, application/x-zip-compressed)
2014-10-20 03:40 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64) (33.11 KB, application/x-zip-compressed)
2014-10-20 03:41 UTC, lightside
no flags Details
The port in shar format (20141021) (7.43 KB, text/plain)
2014-10-25 22:44 UTC, lightside
no flags Details
The port in shar format (20141027) (7.40 KB, text/plain)
2014-10-29 04:16 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2014-09-01 01:28:06 UTC
Created attachment 146620 [details]
The port in shar format

Pioneer is a space adventure game set in the Milky Way galaxy at the turn of
the 31st century.

The game is open-ended, and you are free to explore the millions of star
systems in the game. You can land on planets, slingshot past gas giants, and
burn yourself to a crisp flying between binary star systems. You can try your
hand at piracy, make your fortune trading between systems, or do missions for
the various factions fighting for power, freedom or self-determination.

WWW: http://pioneerspacesim.net

Tested with ports-mgmt/portlint and Clang v3.3 from FreeBSD 10.
Comment 1 lightside 2014-09-03 05:58:11 UTC
Created attachment 146714 [details]
The port in shar format

After testing with poudriere for clean FreeBSD 10 environment, I changed value of the "USE_GL" Makefile variable from "gl" to "yes" (which includes glu by default and depends from gl), because of internal building of contrib/glew and using "GL/glu.h" include. The poudriere build log (as zip archive) and changed shar file are included.
Comment 2 lightside 2014-09-03 06:00:41 UTC
Created attachment 146715 [details]
The poudriere build log (FreeBSD 10 amd64) in zip format
Comment 3 lightside 2014-09-03 08:20:19 UTC
Created attachment 146719 [details]
The port in shar format

Reverted to "USE_GL=gl" and used BUILD_DEPENDS with graphics/libGLU instead.
Comment 4 lightside 2014-09-03 08:21:23 UTC
Created attachment 146720 [details]
The poudriere build log (FreeBSD 10 amd64)
Comment 5 Marcus von Appen freebsd_committer freebsd_triage 2014-09-05 22:15:13 UTC
Did you have a talk with games@FreeBSD.org about that port and are they willing to adopt it?
Comment 6 lightside 2014-09-06 10:31:51 UTC
Hello, Marcus.

(In reply to Marcus von Appen from comment #5)
> Did you have a talk with games@FreeBSD.org about that port and are they
> willing to adopt it?

I didn't talk about it with games@FreeBSD.org. I just chose appropriate address, based on other maintainer behaviour (on the svn logs), in case they drop maintainership. May be, ports@FreeBSD.org will be right decision otherwise. I just share useful/interesting port with the community. I think, people have the same rights to propose patches for new version, if needed.
Comment 7 lightside 2014-09-06 17:39:45 UTC
As in other follow-up, I can change the MAINTAINER email address to my own. But feel free to change it in case of maintainer timeouts (and other good candidates).

Thanks.
Comment 8 lightside 2014-09-06 17:40:23 UTC
Created attachment 146954 [details]
The port in shar format

Changed the MAINTAINER email address.
Comment 9 lightside 2014-09-06 19:03:35 UTC
Created attachment 146958 [details]
The port in shar format (20140907)

The port updated to 20140907 release version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20140907

The build log is for previous version, but I tested new version on real FreeBSD 10 system and it works (by using ports-mgmt/portmaster).
Comment 10 lightside 2014-09-07 07:30:38 UTC
Created attachment 146978 [details]
The port in shar format (20140907)

Changed the "LICENSE_NAME_DejaVu" Makefile variable to "Bitstream Vera and Arev fonts license" to list Arev fonts also, as described on the following license page:
http://dejavu-fonts.org/wiki/License
Comment 11 lightside 2014-09-09 09:26:59 UTC
Created attachment 147102 [details]
The port in shar format (20140908)

- Added MODELVIEWER option to build/install modelcompiler.
- Added files/pkg-message.in file, which describes some information after install.
- Removed makeinfo from USES.
- Updated to 20140908 release version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20140908
Comment 12 lightside 2014-09-09 09:27:35 UTC
Created attachment 147103 [details]
The poudriere build log (FreeBSD 10 amd64)
Comment 13 lightside 2014-09-10 11:03:25 UTC
Created attachment 147159 [details]
The port in shar format (20140910)

- Replaced MODELVIEWER with MODELCOMPILER option. It's not related to modelcompiler, rather "pioneer -modelviewer" command, where pioneer is installed. The modelcompiler is different tool.
- Replaced USE_GITHUB with direct github.com address for MASTER_SITES. There are release tags with archives.
- Added the URL to Quickstart.txt file for pkg-message, in case, where DOCS option is not used, or DOCSDIR otherwise.
- Added compiler:c++11-lang to USES, because the port needs C++11 compiler support to build.
- Updated to 20140910 release version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20140910
Comment 14 lightside 2014-09-10 11:04:09 UTC
Created attachment 147160 [details]
The poudriere build log (FreeBSD 10 amd64)
Comment 15 Dmitry Marakasov freebsd_committer 2014-09-12 16:37:14 UTC
Created attachment 147252 [details]
Proposed changes

I propose the following changes:

- fix identation
- use USE_GITHUB properly (this changes distinfo, however the difference is only in package root directory name)
- depend on glu through USE_GL
- call autotools by the port (less lines, cleaner actions)
- use upstream install target
- use <option>_PLIST_FILES
Comment 16 lightside 2014-09-13 09:06:54 UTC
Created attachment 147266 [details]
The port in shar format (20140912)

Hello, Dmitry Marakasov.

Thanks for review.

I agree with following changes:
> - fix identation
> - call autotools by the port (less lines, cleaner actions)
> - use upstream install target
> - use <option>_PLIST_FILES

But disagree with following changes:
> - use USE_GITHUB properly (this changes distinfo, however the difference is only in package root directory name)

If you look on previous shar files, I already used USE_GITHUB=yes. But after looking at /usr/ports/Mk/bsd.sites.mk file, I found the possibility to use direct address:
# GitHub files can also be obtained, without the need for any of the above, by doing:
#
# MASTER_SITES=	http://github.com/accountname/${PORTNAME}/archive/${PORTVERSION}.tar.gz?dummy=/
I chose it, because of current release model - there are release tags with archives on github.com server:
https://github.com/pioneerspacesim/pioneer/releases/
From user point of view, it's much easier to change PORTVERSION to corresponding release tag, than find GH_COMMIT to each release. Then # make makesum &&  make && make install && make clean.
Who need concrete commit (I think, this is more related to pioneer-devel version), could delete MASTER_SITES, add WRKSRC, USE_GITHUB=yes and GH_COMMIT, other variables are already here. I think, I could add a comment about it to Makefile.

> - depend on glu through USE_GL
I also used this on early versions, but after analysis with poudriere - there are no run-time dependency on libGLU.so, which USE_GL=glu adds. There is build-time dependency on "GL/glu.h" header file for internal statically linked contrib/glew.

There are following unrelated changes:
- Removed autoheader from USE_AUTOTOOLS. While it checked on configure stage, it is not actually used.
- Updated to 20140912 release version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20140912
Comment 17 lightside 2014-09-13 09:07:20 UTC
Created attachment 147267 [details]
The poudriere build log (FreeBSD 10 amd64)
Comment 18 lightside 2014-09-13 19:01:05 UTC
Created attachment 147285 [details]
The port in shar format (20140912)

Fixed a typo for Makefile comment.
Comment 19 lightside 2014-09-15 15:02:30 UTC
Created attachment 147347 [details]
The port in shar format (20140915)

- Added second WWW.
- Updated to 20140915 release version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20140915
Comment 20 lightside 2014-09-15 15:03:01 UTC
Created attachment 147348 [details]
The poudriere build log (FreeBSD 10 amd64)
Comment 21 lightside 2014-09-17 13:21:32 UTC
Created attachment 147397 [details]
The port in shar format (20140916)

- Updated to 20140916 release version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20140916
Comment 22 lightside 2014-09-17 13:21:56 UTC
Created attachment 147398 [details]
The poudriere build log (FreeBSD 10 amd64)
Comment 23 lightside 2014-10-20 03:39:36 UTC
Created attachment 148484 [details]
The port in shar format (20141011)

- The comment about GH_COMMIT was removed. The current download method is correct.
- Updated to 20141011 release version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20141011

After testing on previous FreeBSD release versions (8.4 and 9.3), I found following error for checking for ASSIMP version configure stage:
-8<--
/usr/local/lib/libassimp.so: undefined reference to `std::__detail::_List_node_base::_M_unhook()@GLIBCXX_3.4.15'
/usr/local/lib/libassimp.so: undefined reference to `std::__detail::_List_node_base::_M_hook(std::__detail::_List_node_base*)@GLIBCXX_3.4.15'
/usr/local/lib/libassimp.so: undefined reference to `std::ctype<char>::_M_widen_init() const@GLIBCXX_3.4.11'
/usr/local/lib/libassimp.so: undefined reference to `std::__detail::_List_node_base::swap(std::__detail::_List_node_base&, std::__detail::_List_node_base&)@GLIBCXX_3.4.15'
/usr/local/lib/libassimp.so: undefined reference to `std::__detail::_List_node_base::_M_transfer(std::__detail::_List_node_base*, std::__detail::_List_node_base*)@GLIBCXX_3.4.15'
clang: error: linker command failed with exit code 1 (use -v to see invocation)
-->8-
I fixed it by using newer GCC compiler with USE_GCC= yes, like multimedia/assimp does.
Comment 24 lightside 2014-10-20 03:40:12 UTC
Created attachment 148485 [details]
The poudriere testport log (FreeBSD 8.4 amd64)
Comment 25 lightside 2014-10-20 03:40:39 UTC
Created attachment 148486 [details]
The poudriere testport log (FreeBSD 9.3 amd64)
Comment 26 lightside 2014-10-20 03:41:14 UTC
Created attachment 148487 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 27 lightside 2014-10-25 22:44:29 UTC
Created attachment 148651 [details]
The port in shar format (20141021)

- Switched to 0.0.${GH_TAGNAME} PORTVERSION format
- Updated to 20141021 release tag version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20141021
Comment 28 lightside 2014-10-29 04:16:29 UTC
Created attachment 148753 [details]
The port in shar format (20141027)

- Reverted to GH_COMMIT and USE_GITHUB usage
- Updated to 20141027 release tag version:
https://github.com/pioneerspacesim/pioneer/releases/tag/20141027
Comment 29 commit-hook freebsd_committer 2014-10-29 04:40:45 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Oct 29 04:40:32 UTC 2014
New revision: 371661
URL: https://svnweb.freebsd.org/changeset/ports/371661

Log:
  Pioneer Space Simulator.

  Pioneer is a space adventure game set in the Milky Way galaxy at the turn of
  the 31st century.

  The game is open-ended, and you are free to explore the millions of star
  systems in the game. You can land on planets, slingshot past gas giants, and
  burn yourself to a crisp flying between binary star systems. You can try your
  hand at piracy, make your fortune trading between systems, or do missions for
  the various factions fighting for power, freedom or self-determination.

  WWW: http://pioneerspacesim.net
  WWW: http://github.com/pioneerspacesim/pioneer

  PR:		193213
  Submitted by:	lightside@gmx.com

Changes:
  head/games/Makefile
  head/games/pioneer/
  head/games/pioneer/Makefile
  head/games/pioneer/distinfo
  head/games/pioneer/files/
  head/games/pioneer/files/patch-contrib_PicoDDS_PicoDDS.cpp
  head/games/pioneer/files/patch-src_GameConfig.h
  head/games/pioneer/files/patch-src_posix_OSPosix.cpp
  head/games/pioneer/files/pkg-message.in
  head/games/pioneer/pkg-descr